# Uses of Class
org.apache.sling.commons.testing.integration.NameValuePairList

Packages that use NameValuePairList
Package
Description
org.apache.sling.commons.testing.integration

## Uses of NameValuePairList in org.apache.sling.commons.testing.integration

Methods in org.apache.sling.commons.testing.integration with parameters of type NameValuePairList
Modifier and Type
Method
Description
`void`
NameValuePairList.`addOrReplaceAll(NameValuePairList other)`
`String`
SlingIntegrationTestClient.`createNode(String url, NameValuePairList clientNodeProperties, Map<String,String> requestHeaders, boolean multiPart)`
Create a node under given path, using a POST to Sling
`String`
SlingIntegrationTestClient.`createNode(String url, NameValuePairList clientNodeProperties, Map<String,String> requestHeaders, boolean multiPart, File localFile, String fieldName, String typeHint)`
Create a node under given path, using a POST to Sling
Constructors in org.apache.sling.commons.testing.integration with parameters of type NameValuePairList
Modifier
Constructor
Description
``
`NameValuePairList(NameValuePairList clientNodeProperties)`